Error while training in Tensorflow gpu version


#1

Using TensorFlow backend.
Traceback (most recent call last):
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow.py”, line 41, in
from tensorflow.python.pywrap_tensorflow_internal import *
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 24, in swig_import_helper
_mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description)
File “/usr/lib/python3.6/imp.py”, line 243, in load_module
return load_dynamic(name, filename, file)
File “/usr/lib/python3.6/imp.py”, line 343, in load_dynamic
return _load(spec)
ImportError: libcudnn.so.6: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “manage.py”, line 22, in
from donkeycar.parts.keras import KerasCategorical
File “/neptune/donkey/donkeycar/parts/keras.py”, line 17, in
import keras
File “/usr/local/lib/python3.6/dist-packages/keras/init.py”, line 3, in
from . import utils
File “/usr/local/lib/python3.6/dist-packages/keras/utils/init.py”, line 6, in
from . import conv_utils
File “/usr/local/lib/python3.6/dist-packages/keras/utils/conv_utils.py”, line 3, in
from … import backend as K
File “/usr/local/lib/python3.6/dist-packages/keras/backend/init.py”, line 83, in
from .tensorflow_backend import *
File “/usr/local/lib/python3.6/dist-packages/keras/backend/tensorflow_backend.py”, line 1, in
import tensorflow as tf
File “/usr/local/lib/python3.6/dist-packages/tensorflow/init.py”, line 24, in
from tensorflow.python import *
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/init.py”, line 49, in
from tensorflow.python import pywrap_tensorflow
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow.py”, line 52, in
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow.py”, line 41, in
from tensorflow.python.pywrap_tensorflow_internal import *
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File “/usr/local/lib/python3.6/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 24, in swig_import_helper
_mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description)
File “/usr/lib/python3.6/imp.py”, line 243, in load_module
return load_dynamic(name, filename, file)
File “/usr/lib/python3.6/imp.py”, line 343, in load_dynamic
return _load(spec)
ImportError: libcudnn.so.6: cannot open shared object file: No such file or directory

Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_problems

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.


#2

Hi @alberto,

Could you feed us with id of your failed experiment so we can give it a closer look?
Have you used a proper environment for experiments using Tensorflow and GPU (tensorflow-1.2-gpu-py3, tensorflow-1.4-gpu-py3 or tensorflow-1.6-gpu-py3)?
For more information about available environments see: https://docs.neptune.ml/advanced-topics/environments/#available-environments


#3

@Wajcha Thanks gpu is working